class PublishedFlow {
  final String id;
  final String workspaceID;
  final String name;
  final String userID;
  final String flowID;
  final String versionID;
  final Map labels;
  final DateTime createdAt;
  final DateTime updatedAt;

  PublishedFlow(
      {this.id,
      this.workspaceID,
      this.name,
      this.userID,
      this.flowID,
      this.versionID,
      this.labels,
      this.createdAt,
      this.updatedAt});

  factory PublishedFlow.fromJson(Map<dynamic, dynamic> json) => PublishedFlow(
        id: json["id"],
        workspaceID: json["workspace_id"],
        name: json["name"],
        userID: json["publisher_id"],
        flowID: json["flow_id"],
        versionID: json["version_id"],
        labels: json["labels"],
        createdAt: DateTime.parse(json["created_at"]),
        updatedAt: DateTime.parse(json["updated_at"]),
      );

  Map<String, dynamic> toJson() => {
        "id": id,
        "workspace_id": workspaceID,
        "name": name,
        "publisher_id": userID,
        "flow_id": flowID,
        "version_id": versionID,
        "labels": labels,
        "created_at": createdAt.toString(),
        "updated_at": updatedAt.toString(),
      };
}
