import 'dart:convert';
import 'dart:typed_data';

class QueueMessage {
  String id;
  String appID;
  String robotID;
  String userID;
  int msgType;
  Uint8List payload;
  bool encrypted;

  QueueMessage({
    this.id,
    this.appID,
    this.robotID,
    this.userID,
    this.msgType,
    this.payload,
    this.encrypted,
  });

  factory QueueMessage.fromJson(Map<dynamic, dynamic> json) => QueueMessage(
        id: json["id"],
        appID: json["app_id"],
        robotID: json["robot_id"],
        userID: json["user_id"],
        msgType: json["msg_type"],
        payload: base64Decode(json["payload"]),
        encrypted: json["encrypted"],
      );

  Map<String, dynamic> toJson() => {
        "id": id,
        "app_id": appID,
        "robot_id": robotID,
        "user_id": userID,
        "msg_type": msgType,
        "payload": payload,
        "encrypted": encrypted,
      };

  @override
  String toString() {
    return jsonEncode(this);
  }
}

const int QMT_Error = -1;
const int QMT_KeyExchange = 0;
const int QMT_AppIn = 1;
const int QMT_AppOut = 2;
const int QMT_AppPush = 3;
const int QMT_AppRequest = 4;
const int QMT_RobotID = 5;
